### Navigation

- index
- previous |
- Tulip-Python v3.8.0 documentation »

# `tulipplugins` module API

This module provides utility functions to register Tulip plugins written in Python in the plugins database. These functions should only be used inside a module that contains a class implementing a Tulip plugin.

`tulipplugins.``registerAlgorithmPlugin`(pluginClassName, pluginName, author, date, info, release)

  Registers a Tulip general algorithm written in Python in the plugins database.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.Algorithm`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y

`tulipplugins.``registerAlgorithmPluginOfGroup`(pluginClassName, pluginName, author, date, info, release, group)

  Registers a Tulip general algorithm written in Python in the plugins database and inserts it in a specific group.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.Algorithm`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y
  - group (string) – the name of the group in which the plugin will be inserted (a group corresponds to a sub-menu in the Algorithm -> General menu from the Tulip Software GUI)

`tulipplugins.``registerBooleanPlugin`(pluginClassName, pluginName, author, date, info, release)

  Registers a Tulip boolean algorithm (selection) written in Python in the plugins database.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.BooleanAlgorithm`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y

`tulipplugins.``registerBooleanPluginOfGroup`(pluginClassName, pluginName, author, date, info, release, group)

  Registers a Tulip boolean algorithm (selection) written in Python in the plugins database and inserts it in a specific group.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.BooleanAlgorithm`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y
  - group (string) – the name of the group in which the plugin will be inserted (a group corresponds to a sub-menu in the Algorithm -> Selection menu from the Tulip Software GUI)

`tulipplugins.``registerColorPlugin`(pluginClassName, pluginName, author, date, info, release)

  Registers a Tulip color algorithm written in Python in the plugins database.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.ColorAlgorithm`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y

`tulipplugins.``registerColorPluginOfGroup`(pluginClassName, pluginName, author, date, info, release, group)

  Registers a Tulip color algorithm written in Python in the plugins database and inserts it in a specific group.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.ColorAlgorithm`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y
  - group (string) – the name of the group in which the plugin will be inserted (a group corresponds to a sub-menu in the Algorithm -> Color menu from the Tulip Software GUI)

`tulipplugins.``registerDoublePlugin`(pluginClassName, pluginName, author, date, info, release)

  Registers a Tulip double algorithm (metric) written in Python in the plugins database.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.DoubleAlgorithm`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y

`tulipplugins.``registerDoublePluginOfGroup`(pluginClassName, pluginName, author, date, info, release, group)

  Registers a Tulip double algorithm (metric) written in Python in the plugins database and inserts it in a specific group.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.DoubleAlgorithm`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y
  - group (string) – the name of the group in which the plugin will be inserted (a group corresponds to a sub-menu in the Algorithm -> Measure menu from the Tulip Software GUI)

`tulipplugins.``registerExportPlugin`(pluginClassName, pluginName, author, date, info, release)

  Registers a Tulip export module written in Python in the plugins database.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.PythonExportModule`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y

`tulipplugins.``registerExportPluginOfGroup`(pluginClassName, pluginName, author, date, info, release, group)

  Registers a Tulip export module written in Python in the plugins database and inserts it in a specific group.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.PythonExportModule`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y
  - group (string) – the name of the group in which the plugin will be inserted (a group corresponds to a sub-menu in the File -> Export menu from the Tulip Software GUI)

`tulipplugins.``registerImportPlugin`(pluginClassName, pluginName, author, date, info, release)

  Registers a Tulip import module written in Python in the plugins database.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.PythonImportModule`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y

`tulipplugins.``registerImportPluginOfGroup`(pluginClassName, pluginName, author, date, info, release, group)

  Registers a Tulip import module written in Python in the plugins database and inserts it in a specific group.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.PythonImportModule`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y
  - group (string) – the name of the group in which the plugin will be inserted (a group corresponds to a sub-menu in the File -> Import menu from the Tulip Software GUI)

`tulipplugins.``registerIntegerPlugin`(pluginClassName, pluginName, author, date, info, release)

  Registers a Tulip integer algorithm written in Python in the plugins database.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.IntegerAlgorithm`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y

`tulipplugins.``registerIntegerPluginOfGroup`(pluginClassName, pluginName, author, date, info, release, group)

  Registers a Tulip integer algorithm written in Python in the plugins database and inserts it in a specific group.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.IntegerAlgorithm`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y
  - group (string) – the name of the group in which the plugin will be inserted (a group corresponds to a sub-menu in the Algorithm -> Integer menu from the Tulip Software GUI)

`tulipplugins.``registerLayoutPlugin`(pluginClassName, pluginName, author, date, info, release)

  Registers a Tulip layout algorithm written in Python in the plugins database.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.LayoutAlgorithm`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y

`tulipplugins.``registerLayoutPluginOfGroup`(pluginClassName, pluginName, author, date, info, release, group)

  Registers a Tulip layout algorithm written in Python in the plugins database and inserts it in a specific group.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.LayoutAlgorithm`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y
  - group (string) – the name of the group in which the plugin will be inserted (a group corresponds to a sub-menu in the Algorithm -> Layout menu from the Tulip Software GUI)

`tulipplugins.``registerSizePlugin`(pluginClassName, pluginName, author, date, info, release)

  Registers a Tulip size algorithm written in Python in the plugins database.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.SizeAlgorithm`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y

`tulipplugins.``registerSizePluginOfGroup`(pluginClassName, pluginName, author, date, info, release, group)

  Registers a Tulip size algorithm written in Python in the plugins database and inserts it in a specific group.

  Parameters:

  - pluginClassName (string) – the name of the Python class implementing the plugin (deriving from `tlp.SizeAlgorithm`)
  - pluginName (string) – the name of the plugin as it will appear in the interface and that will be used to call it
  - author (string) – the name of the plugin’s author
  - date (string) – the date of creation of the plugin
  - info (string) – some informations relative to the plugin
  - release (string) – the version number of the plugin in the form X.Y
  - group (string) – the name of the group in which the plugin will be inserted (a group corresponds to a sub-menu in the Algorithm -> Size menu from the Tulip Software GUI)

### Navigation

- index
- previous |
- Tulip-Python v3.8.0 documentation »